# $Revision: 1.3 $, $Date: 2008/12/12 23:58:38 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Catalyst
%define	pnam	Plugin-SubRequest
Summary:	Catalyst::Plugin::SubRequest - Make subrequests to actions in Catalyst
Summary(pl.UTF-8):	Catalyst::Plugin::SubRequest - tworzenie podżądań dla akcji w Catalyście
Name:		perl-Catalyst-Plugin-SubRequest
Version:	0.13
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/M/MR/MRAMBERG/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9132b2e32629964c57db261a83b4e8bb
URL:		http://search.cpan.org/dist/Catalyst-Plugin-SubRequest/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Catalyst >= 2.99
BuildRequires:	perl-File-Slurp
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Make subrequests to actions in Catalyst. Uses the Catalyst dispatcher,
so it will work like an external url call.

%description -l pl.UTF-8
Tworzenie podżądań dla akcji w Catalyście. Wykorzystuje dispatcher z
Catalysta, więc będzie działać tak, jak zewnętrzne wywołanie url.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Catalyst/Plugin/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Catalyst-Plugin-SubRequest.spec,v $
Revision 1.3  2008/12/12 23:58:38  radek
- version 0.13

Revision 1.2  2007/04/05 16:01:22  qboosh
- pl
- BR package names

Revision 1.1  2007/03/30 13:51:37  radek
- new
